Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 14 Oct 2020 06:38:28 +0000

Hi asjed Hussain,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have an order for a Helen desk and wall clock on 5th September and I have received the wall clock on 6th September but my desk has not yet delivered. The delivery date was on 10 th October, it’s almost more than one month and not received the desk yet. We have contacted the customer care on 11th October as per them we will receive a call on same day or Monday for delivery and had no response later. I’m really fed up with this online purchase. Homecentre has a credibility ,that’s why I opted an online purchase from the site. It was bad decision for sure. We already paid the money and enquiring for the delivery, what a shame!!!

 Please do the needful as early as possible 

My order number which I have received is 8201591019 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1583461